FLTK Utility Library and Widget Collection (FLU): Flu_Dual_Slider class Reference

Main Page | Class Hierarchy | Class List | File List | Class Members

# Flu_Dual_Slider Class Reference

This class is essentially an Fl_Slider but with two handles. type() can be one of FL_HOR_SLIDER, FL_HOR_NICE_SLIDER, FL_VERT_SLIDER, FL_VERT_NICE_SLIDER. More...

`#include <Flu_Dual_Slider.h>`

List of all members.

## Public Member Functions
| Flu_Dual_Slider (int x, int y, int w, int h, const char *l=0)
| Normal FLTK widget constructor.
| ~Flu_Dual_Slider ()
| Default destructor.
int | handle (int event)
| Override of Fl_Valuator::handle.
void | draw ()
| Override of Fl_Valuator::handle.
void | overlap (bool b)
| Set whether the low and high values can be the same (`true`), or whether they are exclusive (`false`). Default is `false`.
bool | overlap () const
| Get whether the low and high values can be the same.
void | low_value (float v)
| Set the low value of the slider.
float | low_value () const
| Get the low value of the slider.
void | high_value (float v)
| Set the high value of the slider.
float | high_value () const
| Get the high value of the slider.
void | value (float lo, float hi)
| Convenience routine to set low_value() and high_value() at once.
bool | low_grabbed () const
| true if the low value slider is currently grabbed by the mouse, `false` otherwise
bool | high_grabbed () const
| true if the high value slider is currently grabbed by the mouse, `false` otherwise
## Protected Member Functions
bool | _horizontal ()
bool | _nice ()
## Protected Attributes
float | highValue
float | lowValue
bool | _lFocus
bool | _flip
bool | _overlap
int | _grab
int | _delta
float | _lVal
float | _hVal
int | _lHandle [4]
int | _hHandle [4]
bool | _lGrabbed
bool | _hGrabbed
int | _grabDelta

## Detailed Description

This class is essentially an Fl_Slider but with two handles. type() can be one of FL_HOR_SLIDER, FL_HOR_NICE_SLIDER, FL_VERT_SLIDER, FL_VERT_NICE_SLIDER.

The documentation for this class was generated from the following file:

- Flu_Dual_Slider.h